﻿//
// 26892
//
import mdm.*;
//
// these are our set of images
// that are to be used in example
///
const IMAGES:Array = ["4495468534_ce35f7a031.jpg", 
					"4490902473_af738ce675.jpg",
					"4491542380_ce31eb4d4d.jpg",
					"4491514064_d9851b58b9.jpg",
					"4490978474_cbaa5f59d5.jpg"];
// 
// that function is called on startup
//
function initApp():void
{
	// #1 extract content to temp dir (%TEMP%)
	extractContentToTempDir();
	// #2 start slides show
	startSlideShow();
};
// extract whatever is packed into Application
// Library to %TEMP% folder on that machine
function extractContentToTempDir():void
{
	var tempPath:String = mdm.System.Paths.temp;
	mdm.Application.Library.extractAllToDir(tempPath);
};
//
var loader:Loader = null;
var timer:Timer = null;
var currentImageCounter:int = 0;
//
function startSlideShow():void
{
	var tempPath:String = mdm.System.Paths.temp;
	var path:String = null;
	if(!tempPath || tempPath.length == 0)
	{
		// while authoring we have no access to
		// ZINC-runtime only properties
		// so just load cotnent
		path = IMAGES[currentImageCounter];
	} else 
	{
		// in ZINC-runtime a path to image should be
		// %TEMP% path + image name
		path = tempPath+IMAGES[currentImageCounter];
	};
	currentImageCounter++;
	if(currentImageCounter == IMAGES.length) currentImageCounter = 0;
	//
	// create and add holder for image to be loaded
	if(loader)
	{
		removeChild(loader);
	};
	loader = new Loader();
	addChild(loader);
	loader.load(new URLRequest(path));
	// create timer that will fire at 5 seconds to load another image
	timer = new Timer(5000);
	timer.addEventListener(TimerEvent.TIMER, timerComplete);
	timer.start();
};
//
// when timer fires remove it and repeat
// our loading routine
function timerComplete(e:TimerEvent):void
{
	// clear timer
	timer.removeEventListener(TimerEvent.TIMER, timerComplete);
	timer = null;
	// repeat load routine
	startSlideShow();
};
//
mdm.Application.init(this, initApp);